Index: trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 481)
+++ trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 609)
@@ -799,18 +816,18 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_WINDOWMENU,SELECT_WINDOW,(long)ProjectInfo.pWindowInfo[i2].MenuID);
+						Rad_NoticeChanging(i,RAD_UNDO_WINDOWMENU,SELECT_WINDOW,(long)pWindowInfo->MenuID);
 
 						i3=SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_GETCURSEL,0,0);
-						if(ProjectInfo.pWindowInfo[i2].MenuID)
-							HeapDefaultFree(ProjectInfo.pWindowInfo[i2].MenuID);
-						if(i3==0) ProjectInfo.pWindowInfo[i2].MenuID=0;
+						if(pWindowInfo->MenuID)
+							HeapDefaultFree(pWindowInfo->MenuID);
+						if(i3==0) pWindowInfo->MenuID=0;
 						else{
-							ProjectInfo.pWindowInfo[i2].MenuID=(char *)HeapAlloc(hHeap,0,SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_GETLBTEXTLEN,i3,0)+1);
-							SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_GETLBTEXT,i3,(long)ProjectInfo.pWindowInfo[i2].MenuID);
-						}
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->MenuID=(char *)HeapAlloc(hHeap,0,SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_GETLBTEXTLEN,i3,0)+1);
+							SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_GETLBTEXT,i3,(long)pWindowInfo->MenuID);
+						}
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -819,18 +836,18 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_ICONRES,SELECT_WINDOW,(long)ProjectInfo.pWindowInfo[i2].IconResName);
+						Rad_NoticeChanging(i,RAD_UNDO_ICONRES,SELECT_WINDOW,(long)pWindowInfo->IconResName);
 
 						i3=SendDlgItemMessage(hwnd,IDC_ICONRES,CB_GETCURSEL,0,0);
-						if(ProjectInfo.pWindowInfo[i2].IconResName)
-							HeapDefaultFree(ProjectInfo.pWindowInfo[i2].IconResName);
-						if(i3==0) ProjectInfo.pWindowInfo[i2].IconResName=0;
+						if(pWindowInfo->IconResName)
+							HeapDefaultFree(pWindowInfo->IconResName);
+						if(i3==0) pWindowInfo->IconResName=0;
 						else{
-							ProjectInfo.pWindowInfo[i2].IconResName=(char *)HeapAlloc(hHeap,0,SendDlgItemMessage(hwnd,IDC_ICONRES,CB_GETLBTEXTLEN,i3,0)+1);
-							SendDlgItemMessage(hwnd,IDC_ICONRES,CB_GETLBTEXT,i3,(long)ProjectInfo.pWindowInfo[i2].IconResName);
-						}
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->IconResName=(char *)HeapAlloc(hHeap,0,SendDlgItemMessage(hwnd,IDC_ICONRES,CB_GETLBTEXTLEN,i3,0)+1);
+							SendDlgItemMessage(hwnd,IDC_ICONRES,CB_GETLBTEXT,i3,(long)pWindowInfo->IconResName);
+						}
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -840,15 +857,15 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						i3=SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_GETCURSEL,0,0);
-						ProjectInfo.pWindowInfo[i2].style&=0x3FFFFFFF;
-						if(i3==1) ProjectInfo.pWindowInfo[i2].style|=WS_POPUP;
-						else if(i3==2) ProjectInfo.pWindowInfo[i2].style|=WS_CHILD;
-						RadProperty_Window_Window_StylingOrder(hwnd,&ProjectInfo.pWindowInfo[i2].style);
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+						pWindowInfo->style&=0x3FFFFFFF;
+						if(i3==1) pWindowInfo->style|=WS_POPUP;
+						else if(i3==2) pWindowInfo->style|=WS_CHILD;
+						RadProperty_Window_Window_StylingOrder(hwnd,&pWindowInfo->style);
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -857,18 +874,18 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						i3=SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_GETCURSEL,0,0);
-						ProjectInfo.pWindowInfo[i2].style&=~(WS_BORDER|WS_THICKFRAME);
-						if(i3==1) ProjectInfo.pWindowInfo[i2].style|=WS_BORDER;
+						pWindowInfo->style&=~(WS_BORDER|WS_THICKFRAME);
+						if(i3==1) pWindowInfo->style|=WS_BORDER;
 						else if(i3==2){
-							ProjectInfo.pWindowInfo[i2].style|=WS_BORDER;
-							ProjectInfo.pWindowInfo[i2].style|=WS_THICKFRAME;
-						}
-						RadProperty_Window_Border_StylingOrder(hwnd,&ProjectInfo.pWindowInfo[i2].style);
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style|=WS_BORDER;
+							pWindowInfo->style|=WS_THICKFRAME;
+						}
+						RadProperty_Window_Border_StylingOrder(hwnd,&pWindowInfo->style);
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -878,15 +895,15 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_CAPTION,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_CAPTION;
+							pWindowInfo->style|=WS_CAPTION;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_CAPTION;
-						RadProperty_Window_Caption_StylingOrder(hwnd,&ProjectInfo.pWindowInfo[i2].style);
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_CAPTION;
+						RadProperty_Window_Caption_StylingOrder(hwnd,&pWindowInfo->style);
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -895,14 +912,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_SYSMENU,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_SYSMENU;
+							pWindowInfo->style|=WS_SYSMENU;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_SYSMENU;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_SYSMENU;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -911,14 +928,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_MINIMIZEBOX,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_MINIMIZEBOX;
+							pWindowInfo->style|=WS_MINIMIZEBOX;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_MINIMIZEBOX;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_MINIMIZEBOX;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -927,14 +944,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_MAXIMIZEBOX,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_MAXIMIZEBOX;
+							pWindowInfo->style|=WS_MAXIMIZEBOX;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_MAXIMIZEBOX;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_MAXIMIZEBOX;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -943,14 +960,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_MINIMIZE,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_MINIMIZE;
+							pWindowInfo->style|=WS_MINIMIZE;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_MINIMIZE;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_MINIMIZE;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -959,14 +976,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_MAXIMIZE,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_MAXIMIZE;
+							pWindowInfo->style|=WS_MAXIMIZE;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_MAXIMIZE;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_MAXIMIZE;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -974,14 +991,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_HSCROLLBAR,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_HSCROLL;
+							pWindowInfo->style|=WS_HSCROLL;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_HSCROLL;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_HSCROLL;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -989,14 +1006,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_VSCROLLBAR,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_VSCROLL;
+							pWindowInfo->style|=WS_VSCROLL;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_VSCROLL;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_VSCROLL;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -1005,14 +1022,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_DISABLED,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_DISABLED;
+							pWindowInfo->style|=WS_DISABLED;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_DISABLED;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_DISABLED;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -1021,14 +1038,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_CLIPSIBLINGS,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_CLIPSIBLINGS;
+							pWindowInfo->style|=WS_CLIPSIBLINGS;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_CLIPSIBLINGS;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_CLIPSIBLINGS;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -1037,14 +1054,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_CLIPCHILDREN,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_CLIPCHILDREN;
+							pWindowInfo->style|=WS_CLIPCHILDREN;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_CLIPCHILDREN;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_CLIPCHILDREN;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -1053,14 +1070,14 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].style);
+						Rad_NoticeChanging(i,RAD_UNDO_STYLE,SELECT_WINDOW,pWindowInfo->style);
 
 						if(SendDlgItemMessage(hwnd,IDC_STYLE_VISIBLE,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].style|=WS_VISIBLE;
+							pWindowInfo->style|=WS_VISIBLE;
 						else
-							ProjectInfo.pWindowInfo[i2].style&=~WS_VISIBLE;
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							pWindowInfo->style&=~WS_VISIBLE;
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
@@ -1070,6 +1087,5 @@
 					if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_EXSTYLE),hwnd,(DLGPROC)DlgRadProperty_Window_ExStyle)) return 1;
 					i=GetWndNum(GetParent(GetParent(hwnd)));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-					DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+					DrawRadWindow(i,GetWndInfo(MdiInfo[i].path));
 					return 1;
 
@@ -1079,15 +1095,15 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
-						Rad_NoticeChanging(i,RAD_UNDO_TYPE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].type);
+						Rad_NoticeChanging(i,RAD_UNDO_TYPE,SELECT_WINDOW,pWindowInfo->type);
 
 						if(SendDlgItemMessage(hwnd,IDC_DEFWINDOW,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].type=WNDTYPE_DEFAULT;
+							pWindowInfo->type=WNDTYPE_DEFAULT;
 						else if(SendDlgItemMessage(hwnd,IDC_MODALDLG,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].type=WNDTYPE_MODALDLG;
+							pWindowInfo->type=WNDTYPE_MODALDLG;
 						else if(SendDlgItemMessage(hwnd,IDC_MODELESSDLG,BM_GETCHECK,0,0))
-							ProjectInfo.pWindowInfo[i2].type=WNDTYPE_MODELESSDLG;
+							pWindowInfo->type=WNDTYPE_MODELESSDLG;
 						return 1;
 					}
@@ -1103,5 +1119,5 @@
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
 	extern PROJECTINFO ProjectInfo;
-	int i,i2,i3;
+	int i,i3;
 	char *temporary;
 	POINTANDSIZE PointAndSize;
@@ -1109,114 +1125,118 @@
 	switch(message){
 		case WM_INITDIALOG:
-			SetPosCenter(hwnd);
-			i=GetWndNum(GetWindow(hClient,GW_CHILD));
-			i2=GetWndInfoNum(MdiInfo[i].path);
-			if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW)
-				SetDlgItemText(hwnd,IDC_CAPTION,ProjectInfo.pWindowInfo[i2].caption);
-			else
-				SetDlgItemText(hwnd,IDC_CAPTION,ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption);
-			break;
+			{
+				SetPosCenter(hwnd);
+				i=GetWndNum(GetWindow(hClient,GW_CHILD));
+				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW)
+					SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->caption);
+				else
+					SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption);
+				break;
+			}
 		case WM_COMMAND:
 			switch(LOWORD(wParam)){
 				case IDOK:
-					i=GetWndNum(GetWindow(hClient,GW_CHILD));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-
-					i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_CAPTION))+1;
-					temporary=(char *)HeapAlloc(hHeap,0,i3);
-					GetDlgItemText(hwnd,IDC_CAPTION,temporary,i3);
-					if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
-						if(lstrcmp(temporary,ProjectInfo.pWindowInfo[i2].caption)==0){
-							HeapDefaultFree(temporary);
-							SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
-							return 1;
-						}
-
-						//変更情報を更新
-						Rad_NoticeChanging(i,RAD_UNDO_CAPTION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)ProjectInfo.pWindowInfo[i2].caption);
-
-						HeapDefaultFree(ProjectInfo.pWindowInfo[i2].caption);
-						ProjectInfo.pWindowInfo[i2].caption=temporary;
+					{
+						i=GetWndNum(GetWindow(hClient,GW_CHILD));
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+
+						i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_CAPTION))+1;
+						temporary=(char *)HeapAlloc(hHeap,0,i3);
+						GetDlgItemText(hwnd,IDC_CAPTION,temporary,i3);
+						if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW){
+							if(lstrcmp(temporary,pWindowInfo->caption)==0){
+								HeapDefaultFree(temporary);
+								SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+								return 1;
+							}
+
+							//変更情報を更新
+							Rad_NoticeChanging(i,RAD_UNDO_CAPTION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)pWindowInfo->caption);
+
+							HeapDefaultFree(pWindowInfo->caption);
+							pWindowInfo->caption=temporary;
+						}
+						else{
+							if(lstrcmp(temporary,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption)==0){
+								HeapDefaultFree(temporary);
+								SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+								return 1;
+							}
+
+							//変更情報を更新
+							Rad_NoticeChanging(i,RAD_UNDO_CAPTION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption);
+
+							HeapDefaultFree(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption);
+							pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption=temporary;
+
+							if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].Control==CT_STATIC){
+								//スタティック テキスト
+								//テキストが表示できるようにサイズを拡大する
+
+								PointAndSize.pos=pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].pos;
+								PointAndSize.size=pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+
+								HFONT hFont,hOldFont;
+								hFont=CreateFontIndirect(&pWindowInfo->LogFont);
+								hOldFont=(HFONT)SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hFont);
+								GetTextExtentPoint32(MdiInfo[i].MdiRadInfo->hMemDC,temporary,lstrlen(temporary),&PointAndSize.size);
+								SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hOldFont);
+								DeleteObject(hFont);
+
+								//テキストの終端に余裕を持たせる
+								PointAndSize.size.cx+=5;
+
+								if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx<PointAndSize.size.cx)
+									pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx=PointAndSize.size.cx;
+							}
+							if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].Control==CT_CHECKBOX){
+								//チェック ボックス
+								//テキストが表示できるようにサイズを拡大する
+
+								PointAndSize.pos=pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].pos;
+								PointAndSize.size=pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+
+								HFONT hFont,hOldFont;
+								hFont=CreateFontIndirect(&pWindowInfo->LogFont);
+								hOldFont=(HFONT)SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hFont);
+								GetTextExtentPoint32(MdiInfo[i].MdiRadInfo->hMemDC,temporary,lstrlen(temporary),&PointAndSize.size);
+								SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hOldFont);
+								DeleteObject(hFont);
+
+								//テキストの終端に余裕を持たせる
+								PointAndSize.size.cx+=21;
+
+								if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx<PointAndSize.size.cx)
+									pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx=PointAndSize.size.cx;
+							}
+							if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].Control==CT_RADIOBUTTON){
+								//ラジオ ボックス
+								//テキストが表示できるようにサイズを拡大する
+
+								PointAndSize.pos=pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].pos;
+								PointAndSize.size=pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size;
+								Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
+
+								HFONT hFont,hOldFont;
+								hFont=CreateFontIndirect(&pWindowInfo->LogFont);
+								hOldFont=(HFONT)SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hFont);
+								GetTextExtentPoint32(MdiInfo[i].MdiRadInfo->hMemDC,temporary,lstrlen(temporary),&PointAndSize.size);
+								SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hOldFont);
+								DeleteObject(hFont);
+
+								//テキストの終端に余裕を持たせる
+								PointAndSize.size.cx+=20;
+
+								if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx<PointAndSize.size.cx)
+									pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx=PointAndSize.size.cx;
+							}
+						}
+						DrawRadWindow(i,pWindowInfo);
+						EndDialog(hwnd,1);
+						return 1;
 					}
-					else{
-						if(lstrcmp(temporary,ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption)==0){
-							HeapDefaultFree(temporary);
-							SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
-							return 1;
-						}
-
-						//変更情報を更新
-						Rad_NoticeChanging(i,RAD_UNDO_CAPTION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption);
-
-						HeapDefaultFree(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption);
-						ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].caption=temporary;
-
-						if(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].Control==CT_STATIC){
-							//スタティック テキスト
-							//テキストが表示できるようにサイズを拡大する
-
-							PointAndSize.pos=ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].pos;
-							PointAndSize.size=ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size;
-							Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
-
-							HFONT hFont,hOldFont;
-							hFont=CreateFontIndirect(&ProjectInfo.pWindowInfo[i2].LogFont);
-							hOldFont=(HFONT)SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hFont);
-							GetTextExtentPoint32(MdiInfo[i].MdiRadInfo->hMemDC,temporary,lstrlen(temporary),&PointAndSize.size);
-							SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hOldFont);
-							DeleteObject(hFont);
-
-							//テキストの終端に余裕を持たせる
-							PointAndSize.size.cx+=5;
-
-							if(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx<PointAndSize.size.cx)
-								ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx=PointAndSize.size.cx;
-						}
-						if(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].Control==CT_CHECKBOX){
-							//チェック ボックス
-							//テキストが表示できるようにサイズを拡大する
-
-							PointAndSize.pos=ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].pos;
-							PointAndSize.size=ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size;
-							Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
-
-							HFONT hFont,hOldFont;
-							hFont=CreateFontIndirect(&ProjectInfo.pWindowInfo[i2].LogFont);
-							hOldFont=(HFONT)SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hFont);
-							GetTextExtentPoint32(MdiInfo[i].MdiRadInfo->hMemDC,temporary,lstrlen(temporary),&PointAndSize.size);
-							SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hOldFont);
-							DeleteObject(hFont);
-
-							//テキストの終端に余裕を持たせる
-							PointAndSize.size.cx+=21;
-
-							if(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx<PointAndSize.size.cx)
-								ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx=PointAndSize.size.cx;
-						}
-						if(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].Control==CT_RADIOBUTTON){
-							//ラジオ ボックス
-							//テキストが表示できるようにサイズを拡大する
-
-							PointAndSize.pos=ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].pos;
-							PointAndSize.size=ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size;
-							Rad_NoticeChanging(i,RAD_UNDO_POSITION,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)&PointAndSize);
-
-							HFONT hFont,hOldFont;
-							hFont=CreateFontIndirect(&ProjectInfo.pWindowInfo[i2].LogFont);
-							hOldFont=(HFONT)SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hFont);
-							GetTextExtentPoint32(MdiInfo[i].MdiRadInfo->hMemDC,temporary,lstrlen(temporary),&PointAndSize.size);
-							SelectObject(MdiInfo[i].MdiRadInfo->hMemDC,hOldFont);
-							DeleteObject(hFont);
-
-							//テキストの終端に余裕を持たせる
-							PointAndSize.size.cx+=20;
-
-							if(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx<PointAndSize.size.cx)
-								ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].size.cx=PointAndSize.size.cx;
-						}
-					}
-					DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
-					EndDialog(hwnd,1);
-					return 1;
 				case IDCANCEL:
 					EndDialog(hwnd,0);
@@ -1232,45 +1252,49 @@
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
 	extern PROJECTINFO ProjectInfo;
-	int i,i2,i3;
+	int i,i3;
 	char *temporary;
 
 	switch(message){
 		case WM_INITDIALOG:
-			SetPosCenter(hwnd);
-			i=GetWndNum(GetWindow(hClient,GW_CHILD));
-			i2=GetWndInfoNum(MdiInfo[i].path);
-			SetDlgItemText(hwnd,IDC_IDNAME,ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
+			{
+				SetPosCenter(hwnd);
+				i=GetWndNum(GetWindow(hClient,GW_CHILD));
+				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
+			}
 			break;
 		case WM_COMMAND:
 			switch(LOWORD(wParam)){
 				case IDOK:
-					i=GetWndNum(GetWindow(hClient,GW_CHILD));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-
-					i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_IDNAME))+1;
-					if(i3==1){
-						//MsgBox "ID名を入力して下さい。"
-						MessageBox(hOwner,STRING_ITEM_RENAME_MUST_ID,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
-						break;
-					}
-					temporary=(char *)HeapAlloc(hHeap,0,i3);
-					GetDlgItemText(hwnd,IDC_IDNAME,temporary,i3);
-					if(lstrcmp(temporary,ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName)==0){
-						HeapDefaultFree(temporary);
-						SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+					{
+						i=GetWndNum(GetWindow(hClient,GW_CHILD));
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+
+						i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_IDNAME))+1;
+						if(i3==1){
+							//MsgBox "ID名を入力して下さい。"
+							MessageBox(hOwner,STRING_ITEM_RENAME_MUST_ID,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
+							break;
+						}
+						temporary=(char *)HeapAlloc(hHeap,0,i3);
+						GetDlgItemText(hwnd,IDC_IDNAME,temporary,i3);
+						if(lstrcmp(temporary,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName)==0){
+							HeapDefaultFree(temporary);
+							SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+							return 1;
+						}
+
+						//MsgBox "アイテムのID名を変更すると、ソースコード内のID名は手動で変換する必要があります。変更しますか？"
+						if(IDCANCEL==MessageBox(hwnd,STRING_ITEM_RENAME_CHECK,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) return 1;
+
+						//変更情報を更新
+						Rad_NoticeChanging(i,RAD_UNDO_NAME,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
+
+						HeapDefaultFree(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
+						pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName=temporary;
+
+						EndDialog(hwnd,1);
 						return 1;
 					}
-
-					//MsgBox "アイテムのID名を変更すると、ソースコード内のID名は手動で変換する必要があります。変更しますか？"
-					if(IDCANCEL==MessageBox(hwnd,STRING_ITEM_RENAME_CHECK,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) return 1;
-
-					//変更情報を更新
-					Rad_NoticeChanging(i,RAD_UNDO_NAME,MdiInfo[i].MdiRadInfo->SelectingItem[0],(DWORD)ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
-
-					HeapDefaultFree(ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
-					ProjectInfo.pWindowInfo[i2].pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName=temporary;
-
-					EndDialog(hwnd,1);
-					return 1;
 				case IDCANCEL:
 					EndDialog(hwnd,0);
